/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.themes;

import org.w3c.dom.Document;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface Theme {

    /**
     * Returns the name of the theme.
     *
     * @return the name of the theme.
     */
    String getName();

    String getDescription();

    void setFacet(String facet);

    void setIndex(int index);

    /**
     * Dumps the theme to XML.
     *
     * @return a document.
     */
    Document toXML();
}